%define _libexecdir %_prefix/libexec/hal

Name: synce-hal
Version: 0.15
Release: alt1
Summary: Connection framework and dccm-implementation
Group: Communications
Packager: Mobile Development Team <mobile@packages.altlinux.org>
License: GPLv2
Url: http://www.synce.org
Source: %name-%version.tar.gz

Provides: synce-serial
Obsoletes: synce-serial < 0.12
Provides: synce-dccm
Obsoletes: synce-dccm < 0.12
Obsoletes: synce-vdccm < 0.11

BuildPreReq: libsynce-devel >= 0.10.0
BuildPreReq: libgnet-devel
BuildPreReq: libdbus-glib-devel >= 0.60 libdbus-devel >= 0.60
BuildPreReq: libhal-devel
BuildRequires: gcc-c++

%description
Synce-hal is a connection framework and dccm-implementation
for Windows Mobile devices that integrates with HAL.

%package bluez
Summary: Synce-hal for bluetooth connections
Group: Communications
Requires: %name = %version-%release

%description bluez
Synce-hal is a connection framework and dccm-implementation
for Windows Mobile devices that integrates with HAL.
This package for support a connection over bluetooth.

%prep
%setup -q

%build
ACLOCAL="aclocal -I m4" %autoreconf
%configure \
	--enable-bluetooth-support \
	--with-hal-addon-dir=%_libexecdir
%make_build

%install
%make DESTDIR=%buildroot install
install -D etc/synce-hal.conf %buildroot%_sysconfdir/synce-hal.conf

%files
%doc AUTHORS ChangeLog COPYING README TODO
%config(noreplace) %_sysconfdir/synce-hal.conf
%config %_sysconfdir/dbus-1/system.d/*
%_bindir/*
%_libexecdir/*
%_datadir/hal/fdi/policy/20thirdparty/10-synce.fdi
%_datadir/%name
%exclude %_libexecdir/hal-synce-bluetooth

%files bluez
%_libexecdir/hal-synce-bluetooth
%config(noreplace) %_sysconfdir/ppp/*/synce-bt-*

%changelog
* Mon May 17 2010 Alexey Shabalin <shaba@altlinux.ru> 0.15-alt1
- 0.15

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.14-alt1.1
- Rebuilt with python 2.6

* Mon Aug 24 2009 Alexey Shabalin <shaba@altlinux.ru> 0.14-alt1
- 0.14

* Sun Mar 01 2009 Alexey Shabalin <shaba@altlinux.ru> 0.13.1-alt1
- 0.13.1
- add dbus policies for synce

* Mon Oct 13 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2-alt2
- define _libexecdir as %_prefix/libexec/hal
- install %{_sysconfdir}/synce-serial.conf
- build bluetooth subpackage

* Sun Oct 05 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2-alt1
- initial version

